AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get status of a bill payment

This document shows you how to get the status of a bill purchase

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/bills/{reference}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

reference string required
This is the tx_ref of the bill transaction

FILL IN ALL REQUIRED FIELDS

verbose int 32
This flag allows us to return the status of the bill payment from the provider.

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

tx_ref string

amount integer

fee integer

currency string

extra string

flw_ref string

token string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys